<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
  
   // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
  $sede_usuario=$_SESSION['SEDE_USUARIO'];
  
  $cedula=$_GET['cedula'];
  $id_carrera=$_GET['id_carrera'];
  $nueva_sede=$_GET['nueva_sede'];
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="cambiar_sede.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="10" ) {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="cambiar_sede.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }  
  
    mysql_select_db($database_cn, $conn);
	mysql_query ("SET NAMES 'utf8'");
 	$sql = "select id_alumno, apellidos, nombres from alumnos where cedula='$cedula'";
	$rs=mysql_query($sql, $conn);
	$row = mysql_fetch_assoc($rs);
	$reg=mysql_num_rows($rs);
	$apellidos=$row["apellidos"];
	$nombres=$row["nombres"];
	$id_alumno=$row["id_alumno"];
	
	if ($reg != 0)
	 {
	   $sql = "update `carreras_alumno` set  `sede`='$nueva_sede' where id_alumno='$id_alumno' and id_carrera='$id_carrera'";
	   mysql_query($sql, $conn) or die(mysql_error());
	   
	    ?>
	 <script type="text/javascript">
	    msj="Cambio de sede procesado con éxito.";
		alert(msj);
		window.parent.document.form1.cedula.focus();
		window.parent.document.form1.cedula.value="";
	 </script>
	 <?php
	 
	 $consulta=addslashes($sql);
     $fecha=date("Y-m-d G:i:A");
     $accion="Cambio de Sede";
     $script="cambiar_sede.php";
     $ip=obtener_ip();
     $sql1 = "insert into `auditoria` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`, `query`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script', '$consulta')";
     mysql_query($sql1, $conn) or die(mysql_error()); 
	   }

?>
<script type="text/javascript">
      	url="cambio_sede_vista.php";
		window.open(url,'contenido');
</script>
<?php

function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }

?>
  

 
